
<%= form_with url: roles_path, method: :get, local: true do |form| %>
  <p>
    <%= hidden_field_tag 'by_user_role', 'by_role' %>
    <label>LISTE DES ROLES&nbsp;&nbsp;&nbsp;&nbsp;</label>
    <%= select_tag('attrib_role', options_for_select(@roles.collect {|elt| [ elt.name, elt.id ]}, @attrib_role.id), {:style => "min-width:150px"}) %>
  </p>
  <%= form.submit '', id: 'change-role', style: "display: none" %>
<% end %>
<br>

<div class="row">
  <div class="col-md-6 admin-col">
    <%= form_with url: roles_path, method: :post, local: true do |form| %>
      <%= hidden_field_tag 'attrib_role', @attrib_role.id %>
      <div class="admin-col-title"><%= t('assoc', scope: [:roles, :index], user: User.model_name.human.pluralize, role: Role.model_name.human) %></div>

      <div id='labels_used' class="admin-col-content">
        <% @users_in.each do |user| %>
          <div id='<%= user.id %>'> <!-- class='label_change_used label_used'> -->
            <span class='label_icon label_change_used label_used'><%= fa_icon('minus-square') %></span>
            <%= hidden_field_tag "users_ids[]", user.id %>
            <%= user.name %>
          </div>
        <% end %>
      </div>
      <br>
      <%= form.submit 'Valid' %>
    <% end %>
  </div>

  <div class="col-md-6 admin-col">
    <div class="admin-col-title"><%= t('avail', scope: [:roles, :index], user: User.model_name.human.pluralize) %></div>

    <div id='labels_unused' class="admin-col-content">
      <% @users.each do |user| %>
        <% unless @users_in.include?(user) %>
          <div id='<%= user.id %>'>
            <span class='label_icon label_change_used label_unused'><%= fa_icon('plus-square') %></span>
            <%= hidden_field_tag "users_ids[]", user.id %>
            <%= user.name %>
          </div>
        <% end %>
      <% end %>
    </div>
  </div>
</div>
